View Issue Details

IDProjectCategoryView StatusLast Update
13800Bug reportsSurvey takingpublic2019-05-23 09:58
Reporterdgeils Assigned Toc_schmitz  
PrioritynoneSeveritycrash 
Status closedResolutionfixed 
Product Version3.7.x 
Fixed in Version3.13.x 
Summary13800: Did not save on Survey Participation
Description

I have installed LimeSurvey version 3.7.2. After installation I create a survey. The survey is built and has a link that I may use to access the survey. On the initial survey load, under the LimeSurvey logo displays, which is not shown in the HTML save of the web page:
Did not save
An unexpected error has occurred and your responses cannot be saved.
Try to submit again

I immediately check the database and a row has been added with “id”, “starlanguage” and “seed” populated. The fields “token”, “submitdate”, “lastpage” and question answer column have “NULL”.

Based on this information, I select “Next” to see what the results are. It displays the survey but it still has the same “Did not save” message below the logo. I complete the survey, simple “yes”, “no” radial button single question and select “submit”. The completion page is displayed with the “Did not save” message below the logo. I check the database and there are three rows in the database, one for each page, with “id”, “starlanguage” and “seed” populated and “token”, “submitdate”, “lastpage” and question answer column have “NULL”.

Main configuration:
• Fast-CGI PHP Version 7.0.29 (build PHP Version 7.0.29)
• MSSQL 2012 (same issue with 2016)
• LimeSurvey Version 3.7.2+180508 (Attempted limesurvey2.67.2+170719.zip with same results)
• IIS Version 1607 (OS Build 14393.2312)
• Server 2012 R2

Alternate configuration:
• Apache 2.4
• PHP 7.0.30 (cli) (built: Apr 24 2018 16:16:46) ( ZTS )
• MSSQL 2012 (same issue with 2016)
• LimeSurvey Version 3.7.2+180508 (Attempted limesurvey2.67.2+170719.zip with same results)
• Server 2012 R2

I have done extensive searches and it appears many people are having this issue. Please provide a fix or workaround.

Thank you.

Steps To Reproduce

Build a survey with the environment listed. Select the survey URL and attempt to take the survey.

Additional Information

I have attempted two completely separate configurations. They are below:

Main configuration:
• Fast-CGI PHP Version 7.0.29 (build PHP Version 7.0.29)
• MSSQL 2012 (same issue with 2016)
• LimeSurvey Version 3.7.2+180508 (Attempted limesurvey2.67.2+170719.zip with same results)
• IIS Version 1607 (OS Build 14393.2312)
• Server 2012 R2

Alternate configuration:
• Apache 2.4
• PHP 7.0.30 (cli) (built: Apr 24 2018 16:16:46) ( ZTS )
• MSSQL 2012 (same issue with 2016)
• LimeSurvey Version 3.7.2+180508 (Attempted limesurvey2.67.2+170719.zip with same results)
• Server 2012 R2

Also, I have started paying for support for future updates as a method of financially supporting.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.7.2+180508
I will donate to the project if issue is resolvedNo
BrowserChrome and IE
Database & DB-VersionMSSQL 2012 (same issue with 2016)
Server OS (if known)Server 2012 R2
Webserver software & version (if known)IIS Version 1607 (OS Build 14393.2312) and Apache 2.4
PHP VersionFast-CGI PHP Version 7.0.29 (build PHP Version 7.0.29) and • PHP 7.0.30 (cli) (built: Apr 24 2018 16:16:46) ( ZTS )

Activities

dgeils

dgeils

2018-06-21 14:49

reporter  

ApacheConfiguration.html (15,536 bytes)   
<!-- saved from url=(0062)http://f3420-v2ocwebp01.vngtdmz.local/index.php/715938?lang=en -->
<html lang="en" dir="ltr" class="en dir-ltr  js "><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"></head><body style="padding-top: 90px;" class=" fruity vanilla font-noto lang-en  brand-logo"><p><span class="fa fa-exclamation-triangle"></span>&nbsp;<strong>Did not save</strong></p><p>An unexpected error has occurred and your responses cannot be saved.</p><a href="javascript:location.reload()">Try to submit again</a><br><br>



            




    
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="LimeSurvey http://www.limesurvey.org">

        

    <link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/noto.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/font-awesome.min.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/survey.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/template-core.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/awesome-bootstrap-checkbox.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/bootstrap.min.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/yiistrap.min.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/ajaxify.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/animate.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/sea_green.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/theme.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/custom.css">
<link rel="stylesheet" type="text/css" href="./ApacheConfiguration_files/lime-progress.css">
<script type="text/javascript">window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="./ApacheConfiguration_files/jquery-3.1.1.min.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/jquery-migrate-3.0.0.min.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/lslog.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/pjax.min.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/moment-with-locales.min.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/survey.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/template-core.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/bootstrap.min.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/theme.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/ajaxify.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/custom.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/survey_runtime.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/em_javascript.js.download" class="headScriptTag"></script>
<script type="text/javascript" src="./ApacheConfiguration_files/nojs.js.download" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/
LSvar={"bFixNumAuto":1,"bNumRealValue":0,"sLEMradix":".","lang":{},"showpopup":1,"startPopups":{},"debugMode":0};
/*]]>*/
</script>
<title>
        Apache Configuration
    </title>

    <link rel="shortcut icon" href="http://f3420-v2ocwebp01.vngtdmz.local/themes/survey/fruity/files/favicon.ico">
    <script type="text/javascript">
        if(window.basicThemeScripts === undefined){ 
            window.basicThemeScripts = new ThemeScripts(); 
        } 
    </script>
        
    
<style>
    
            body .top-container {
            margin-top: 70px;
        }
    
    body {
         padding-bottom: 10px;
         padding-top: 60px;/* now is redefine in JS to fit any title length */
         background-color:#ffffff ;
         color: #444444;
    }

    .navbar-default .navbar-nav > li > a:hover {
        color: #444444;
    }


    .question-container {
      background-color: #ffffff;

              border:  1px solid #e6e6e6;
      
              box-shadow: 0 1px 2px rgba(0,0,0,.2);
          }

        .checkbox-item input[type="checkbox"]:checked + label::after, .checkbox-item input[type="radio"]:checked + label::after {
        content: "\f00c";
    }

    
                            
        .checkbox-item input[type="checkbox"]:checked + label::after{
            animation-name: rubberBand;
            animation-duration: 500ms;
            animation-fill-mode: both;
            animation-iteration-count: 1;
            display: inline-block;
            -webkit-transform: none;
            -ms-transform: none;
            -o-transform: none;
            transform: none;
        }
        .checkbox-item input[type="checkbox"] + label::after{
            display: none;
            -webkit-transform: none;
            -ms-transform: none;
            -o-transform: none;
            transform: none;
        }
    
    
                            
        .radio-item input[type="radio"]:checked + label::after{
            animation-name: zoomIn;
            animation-duration: 500ms;
            animation-fill-mode: both;
            animation-iteration-count: 1;
            display: inline-block;
            -webkit-transform: none;
            -ms-transform: none;
            -o-transform: none;
            transform: none;
        }
        .radio-item input[type="radio"] + label::after{
            display:none;
            -webkit-transform: none;
            -ms-transform: none;
            -o-transform: none;
            transform: none;
        }
    
    
    
    


</style>


    


        
        
                            <div id="beginScripts" class="script-container">
                <script type="text/javascript" src="./ApacheConfiguration_files/decimal.js.download"></script>
<script type="text/javascript">
/*<![CDATA[*/
setJsVar();
/*]]>*/
</script>

            </div>
               

                <article>

            <div id="dynamicReloadContainer">
            
                                                    
<!-- Bootstrap Navigation Bar -->
<div class=" navbar navbar-default navbar-fixed-top">
    <div class=" navbar-header   ">
        <button type="button" class=" navbar-toggle collapsed " data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
        </button>

                            <div class=" navbar-brand  logo-container hidden-xs">
                <img class="logo img-responsive" src="./ApacheConfiguration_files/logo.png" alt="Apache Configuration">
            </div>
            </div>
    <div id="navbar" class=" collapse navbar-collapse ">
        <ul class=" nav navbar-nav  navbar-action-link  navbar-right">
                <!-- Load unfinished survey button -->
    <li class=" ls-no-js-hidden ">
        <a href="http://f3420-v2ocwebp01.vngtdmz.local/index.php/715938?lang=en#" data-limesurvey-submit="{ &quot;loadall&quot;:&quot;loadall&quot; }" class=" ls-link-action ls-link-loadall  animate">
            Load unfinished survey
        </a>
    </li>


            
    <!-- Exit and clear survey -->
    <li class=" ls-no-js-hidden ">
        <a href="http://f3420-v2ocwebp01.vngtdmz.local/index.php/715938?lang=en#" data-limesurvey-submit="{ &quot;clearall&quot;:&quot;clearall&quot; }" data-confirmedby="{ &quot;confirm-clearall&quot;:&quot;confirm&quot; }" data-confirmlabel="Please confirm you want to clear your response?" class=" ls-link-action ls-link-clearall  animate">
            Exit and clear survey
        </a>
    </li>

            


            




        </ul>
    </div>
</div>

                
                                                    
    <!-- Top container -->
    <div class=" top-container  space-col">
        <div class="  container-fluid">
                            
                                <div class=" progress ">
                    <div class=" progress-bar " role="progressbar" aria-valuenow="0" aria-valuemin="0" aria-valuemax="100" style="min-width: 2em; width: 0%;">
                        0%
                    </div>
                </div>
                    </div> <!-- must hide it without javascript -->
    </div>

                
                <!-- Outer Frame Container -->
                                                                            <!-- outer frame container -->
<div class=" outerframe    container  " id="outerframeContainer">
        
<!-- Main Row -->
<div id="main-row">
    <!-- Main Col -->
    <div class="  col-centered  space-col" id="main-col">

        
                        




                                        




<!-- Start of the main Form-->
<form id="limesurvey" name="limesurvey" autocomplete="off" class="survey-form-container form" action="http://f3420-v2ocwebp01.vngtdmz.local/index.php/715938" method="post">
<input type="hidden" value="MA==" name="YII_CSRF_TOKEN">

<!-- Ajax value -->
<input type="hidden" name="ajax" value="off" id="ajax">

<!-- Field Names -->
<input type="hidden" name="fieldnames" value="" id="fieldnames">



<!-- Submit button -->
<button type="submit" id="defaultbtn" value="default" name="move" class="submit hidden" style="display:none">default</button>
 <!-- main form -->

        <input type="hidden" name="sid" value="715938" id="sid">
<input type="hidden" name="lastgroupname" value="_WELCOME_SCREEN_" id="lastgroupname">
<input type="hidden" name="LEMpostKey" value="212544271" id="LEMpostKey">
<input type="hidden" name="thisstep" id="thisstep" value="0">

<script type="text/javascript">
<!--
var LEMmode='group';
var LEMgseq=-1;
window.ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;

}
//-->
</script>
<input type="hidden" id="aQuestionsWithDependencies" data-qids="[]">

        

<!-- No JavaScript alert -->
<div class=" ls-js-hidden warningjs  alert alert-danger " data-type="checkjavascript">
    Caution: JavaScript execution is disabled in your browser or for this website. You may not be able to answer all questions in this survey. Please, verify your browser parameters.
</div>


        


        
<!-- Welcome Message -->
<div id="welcome-container " class="">

    <!-- Survey Name -->
    <h1 class=" survey-name  text-center">
        Apache Configuration
    </h1>

    <!-- Survey description -->
    <div class=" survey-description  text-info text-center">
        Apache test survey
    </div>

    <!-- Welcome text -->
    <div class=" survey-welcome  h4 text-primary">
        Welcome to the Apache Survey
    </div>

    <!-- Question count -->
    <div class=" number-of-questions   text-muted">
        <div class=" question-count-text ">

                                                            There are 2 questions in this survey.
                                  </div>
  </div>
</div>

    

    
<!-- Privacy message -->
<div class=" privacy  row">
    <div class="   col-sm-12 col-centered">
                                                            </div>
</div>


        

<!-- PRESENT THE NAVIGATOR -->
<div class="    row navigator space-col" id="navigator-container">

    <!-- Previous button container -->
    <div class="   col-xs-6 text-left">

                    </div>
    <div class="   col-xs-6 text-right">

                
                                        <!-- Button Next -->
                <button id="ls-button-submit" type="submit" value="movenext" name="move" class="   ls-move-btn ls-move-next-btn ls-move-submit-btn   btn btn-lg btn-primary ">
                    Next
                </button>
                        </div>
</div>
<!-- Extra navigator part -->
<!-- extra tools, can be shown with javascript too (just remove ls-js-hidden class -->
<div class="row ls-js-hidden">
    <!-- Extra button container -->
    <div class="col-xs-6 clearall-saveall-wrapper">
                        <button type="submit" value="loadall" name="loadall" class="ls-saveaction ls-loadall btn btn-default">Load unfinished survey</button>

                            
<div class=" form-inline">
    <label class="form-group ls-js-hidden">
        <input value="confirm" name="confirm-clearall" type="checkbox" class=""><span class="control-label">Please confirm you want to clear your response?</span>
    </label>
    <button type="submit" value="clearall" name="move" data-confirmedby="confirm-clearall" class="ls-clearaction ls-clearall btn btn-link" title="This action need confirmation.">Exit and clear survey</button>
</div>

            </div>
     <!-- Index container -->
    </div>


</form> <!-- main form -->



            

    </div> <!-- main col -->
</div> <!-- main row -->
</div>
                
                                



<!-- Bootstrap Modal Alert -->
<div id="bootstrap-alert-box-modal" class=" modal fade ">
    <div class=" modal-dialog ">
        <div class=" modal-content ">
            <div class=" modal-header " style="min-height:40px;">
                <button type="button" data-dismiss="modal" aria-hidden="true" class=" close ">×</button>
                <div class=" modal-title h4 ">&nbsp;</div>
            </div>
            <div class=" modal-body ">
                <p></p>
            </div>
            <div class=" modal-footer ">
                <a href="http://f3420-v2ocwebp01.vngtdmz.local/index.php/715938?lang=en#" data-dismiss="modal" class=" btn btn-default ">Close</a>
            </div>
        </div>
    </div>
</div>


                                

                        </div>

        </article>

                    <div id="bottomScripts" class="script-container">
                <script type="text/javascript">
/*<![CDATA[*/
activateActionLink();
triggerEmClassChange();

activateConfirmButton();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {

    if(window.basicThemeScripts === undefined){ 
        window.basicThemeScripts = new ThemeScripts(); 
    } 
    basicThemeScripts.initWelcomePage(); 

});
/*]]>*/
</script>

            </div>
           

                    <script>
                window.basicThemeScripts.init();
            </script>
                
    

</body></html>
ApacheConfiguration.html (15,536 bytes)   
DatabaseView.JPG (21,043 bytes)   
DatabaseView.JPG (21,043 bytes)   
DidNotSavePicture.JPG (41,779 bytes)   
DidNotSavePicture.JPG (41,779 bytes)   
ollehar

ollehar

2018-06-21 15:01

administrator   ~48264

Please try with the latest version (3.12.1).

DenisChenu

DenisChenu

2018-06-21 15:46

developer   ~48265

  • need a lss (and surely a lsa) to see if there specific part on the survey
efingdmi

efingdmi

2018-06-25 11:54

reporter   ~48290

Same for me with every survey using 3.12.1
Windows Server 2012 R2 64Bit
MS SQL Server 2016
Apache Apache 2.4.33 (64bit)
PHP 7.2.6 (64bit)

c_schmitz

c_schmitz

2018-06-26 19:01

administrator   ~48306

@dgeils @efingdmi

I cannot reproduce this issue using the latest version.
Can you please update and check? If you still have the issue please attach a small sample survey which we may use to reproduce the issue reliably.

efingdmi

efingdmi

2018-06-29 09:49

reporter   ~48385

Hi all,
I can't export a survey out of 3.13 (the button has no function in IE11 and FF) so I share the survey created in 3.12.1
The error message
"Did not save
An unexpected error has occurred and your responses cannot be saved.
Try to submit again"
is gone in 3.13, but the answers still won't be saved. Participation once has following result:
Two "answers" where no answer is saved (see attachted screenshot)

Dominik

answers.png (17,113 bytes)   
answers.png (17,113 bytes)   
efingdmi

efingdmi

2018-06-29 10:41

reporter   ~48388

FF 61.0 is working, 60.0.2 not - but cut be a customized error, thats ok :)
.lss attached

c_schmitz

c_schmitz

2018-06-29 10:47

administrator   ~48389

Ok, so I import that survey, activate it and start it once, select anything for the first question. Response saved here, no problem.
Can you do the same with your file and see if the duplicate works?

efingdmi

efingdmi

2018-06-29 14:32

reporter   ~48409

I would, but I can't even import a Survey (see https://bugs.limesurvey.org/view.php?id=13821) ´
Answers don't get saved correctly, Import works not correctly, create user Shows Errors (https://bugs.limesurvey.org/view.php?id=13752), and saving questions Shows Errors (https://bugs.limesurvey.org/view.php?id=13829) - everthing while using mssql

Maybe there is one reason for all theses problems, could it be "php-driver" related? I wonder why you can't reproduce it? And I'm rly happy to help wherever I can.

c_schmitz

c_schmitz

2018-06-29 14:45

administrator   ~48412

How does your freetds.conf look like?

efingdmi

efingdmi

2018-07-13 07:19

reporter   ~48504

Seems to be solved in 3.13.2

Issue History

Date Modified Username Field Change
2018-06-21 14:49 dgeils New Issue
2018-06-21 14:49 dgeils File Added: ApacheConfiguration.html
2018-06-21 14:49 dgeils File Added: DatabaseView.JPG
2018-06-21 14:49 dgeils File Added: DidNotSavePicture.JPG
2018-06-21 15:01 ollehar Note Added: 48264
2018-06-21 15:01 ollehar Status new => feedback
2018-06-21 15:46 DenisChenu Note Added: 48265
2018-06-25 11:54 efingdmi Note Added: 48290
2018-06-26 13:52 LouisGac Assigned To => c_schmitz
2018-06-26 13:52 LouisGac Status feedback => assigned
2018-06-26 19:01 c_schmitz Status assigned => feedback
2018-06-26 19:01 c_schmitz Note Added: 48306
2018-06-29 09:49 efingdmi File Added: limesurvey_survey_456547.lss
2018-06-29 09:49 efingdmi File Added: answers.png
2018-06-29 09:49 efingdmi Note Added: 48385
2018-06-29 10:41 efingdmi File Added: limesurvey_survey_595431.lss
2018-06-29 10:41 efingdmi Note Added: 48388
2018-06-29 10:47 c_schmitz Note Added: 48389
2018-06-29 14:32 efingdmi Note Added: 48409
2018-06-29 14:45 c_schmitz Note Added: 48412
2018-07-13 07:19 efingdmi Note Added: 48504
2019-05-23 09:58 c_schmitz Status feedback => closed
2019-05-23 09:58 c_schmitz Resolution open => fixed
2019-05-23 09:58 c_schmitz Fixed in Version => 3.13.x